# buffer-info(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

buffer-info - Status information on current buffer position

## SYNOPSIS

n buffer-info (C-x =)

## DESCRIPTION

buffer-info reports on the current and total lines and characters of the current buffer. It also gives the hexadecimal code of the character currently under the cursor.

The output of the command is displayed on the message line e.g.

    Line 1845/3955 Col 0/0 Char 78267/167172 (46%) Win Line 99/48 ACol 0/0 char 10 (0x0a)

$result(5) is set to the same output string unless a numeric value of zero is given to the command in which case the values are given in a MicroEmacs list format and not printed to the message line; this information can be useful in macros.

## SEE ALSO

$result(5), $mode-line(5), about(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>